Package ru.bitel.bgbilling.plugins.cladr.server.dao

# Class CladrStreetDAO

java.lang.Object
ru.bitel.bgbilling.plugins.cladr.server.dao.CladrStreetDAO

public class CladrStreetDAO extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CladrStreetDAO(Connection con, org.slf4j.Logger logger)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addCity(ru.bitel.bgbilling.plugins.cladr.common.model.CladrAddress region, ru.bitel.bgbilling.plugins.cladr.common.model.CladrAddress area, ru.bitel.bgbilling.plugins.cladr.common.model.CladrAddress city, int direct, int cityId)`
  `void`
  `addHouseForCladr(List<ru.bitel.bgbilling.plugins.cladr.common.model.CladrHouse> list)`
  `List<Integer>`
  `addStreeFromCladr(List<ru.bitel.bgbilling.plugins.cladr.common.model.CladrAddress> list, boolean ignoreSocr, int cityId)`
  `void`
  `addStreet(ru.bitel.bgbilling.plugins.cladr.common.model.CladrStreet cladrStreet, boolean ignoreSocr)`
  `void`
  `addStreetForCladrCompare(List<ru.bitel.bgbilling.plugins.cladr.common.model.CladrStreet> list)`
  `void`
  `delStreet(ru.bitel.bgbilling.plugins.cladr.common.model.CladrStreet cladrStreet)`
  `void`
  `delStreetFromCladrCompare(ru.bitel.bgbilling.plugins.cladr.common.model.CladrStreet cladrStreet)`
  `List<ru.bitel.bgbilling.plugins.cladr.common.model.CladrHouse>`
  `getHouseByCode(String code)`
  `ru.bitel.bgbilling.plugins.cladr.common.model.CladrStreet`
  `getNextStreet()`
  `String`
  `getStreetCode(int streetId)`
  `List<ru.bitel.bgbilling.plugins.cladr.common.model.CladrStreet>`
  `getStreetNotFromCladr(ru.bitel.bgbilling.plugins.cladr.common.model.CladrAddress address, int cityId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CladrStreetDAO

    public CladrStreetDAO(Connection con, org.slf4j.Logger logger)

- ## Method Details

  - ### getStreetNotFromCladr

    public List<ru.bitel.bgbilling.plugins.cladr.common.model.CladrStreet> getStreetNotFromCladr(ru.bitel.bgbilling.plugins.cladr.common.model.CladrAddress address, int cityId) throws SQLException
    Throws:
      `SQLException`

  - ### addStreetForCladrCompare

    public void addStreetForCladrCompare(List<ru.bitel.bgbilling.plugins.cladr.common.model.CladrStreet> list) throws SQLException
    Throws:
      `SQLException`

  - ### addStreet

    public void addStreet(ru.bitel.bgbilling.plugins.cladr.common.model.CladrStreet cladrStreet, boolean ignoreSocr) throws Exception
    Throws:
      `Exception`

  - ### addStreeFromCladr

    public List<Integer> addStreeFromCladr(List<ru.bitel.bgbilling.plugins.cladr.common.model.CladrAddress> list, boolean ignoreSocr, int cityId) throws Exception
    Throws:
      `Exception`

  - ### delStreetFromCladrCompare

    public void delStreetFromCladrCompare(ru.bitel.bgbilling.plugins.cladr.common.model.CladrStreet cladrStreet) throws SQLException
    Throws:
      `SQLException`

  - ### delStreet

    public void delStreet(ru.bitel.bgbilling.plugins.cladr.common.model.CladrStreet cladrStreet) throws Exception
    Throws:
      `Exception`

  - ### getNextStreet

    public ru.bitel.bgbilling.plugins.cladr.common.model.CladrStreet getNextStreet() throws SQLException
    Throws:
      `SQLException`

  - ### addCity

    public void addCity(ru.bitel.bgbilling.plugins.cladr.common.model.CladrAddress region, ru.bitel.bgbilling.plugins.cladr.common.model.CladrAddress area, ru.bitel.bgbilling.plugins.cladr.common.model.CladrAddress city, int direct, int cityId) throws SQLException
    Throws:
      `SQLException`

  - ### addHouseForCladr

    public void addHouseForCladr(List<ru.bitel.bgbilling.plugins.cladr.common.model.CladrHouse> list) throws SQLException
    Throws:
      `SQLException`

  - ### getStreetCode

    public String getStreetCode(int streetId) throws SQLException
    Throws:
      `SQLException`

  - ### getHouseByCode

    public List<ru.bitel.bgbilling.plugins.cladr.common.model.CladrHouse> getHouseByCode(String code) throws SQLException
    Throws:
      `SQLException`